Skip to main content

generateProgramReport

Enqueues generation of an executive AppSec Program report

generateProgramReport(
input: GenerateProgramReportInput!
): GenerateProgramReportPayload

Arguments​

generateProgramReport.input ● GenerateProgramReportInput! non-null input​

Parameters for GenerateProgramReport

Type​

GenerateProgramReportPayload object​

Autogenerated return type of GenerateProgramReport.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateGenerateProgramReport($input: GenerateProgramReportInput!) {\n generateProgramReport(input: $input) { clientMutationId enqueued }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute